Subject: compilation error for kernel 2.3.35

From: Ken Chiu Kun Wu <[email-masked]>
Date: Wed, 19 Apr 2000 08:28:15 +1000 (EST)

Hi all,
	I came across this error when I tried to compiled
kernel 2.3.35 (patched with patch-2.3.35-rmk1 and diff-2.3.35-rmk1-np9.
I did "make bruts_config" and "make config", changed system to PLEB (becoz
that's the board i am using) and finished with "make zImage"...
	Is it becoz I use the wrong patch or maybe I should try the other
versions?  

Cheers
Ken

---error----
arm-linux-gcc -D__KERNEL__ -I/home/kckwu/build/linux/include -Wall -Wstrict-prototypes -O2  -fno-strict-aliasing -pipe -g -mshort-load-bytes -msoft-float -march
=armv4   -c -o sa1100fb.o sa1100fb.c
sa1100fb.c: In function `sa1100fb_decode_var':
sa1100fb.c:421: `MAX_SCREEN_SIZE_H' undeclared (first use in this function)
sa1100fb.c:421: (Each undeclared identifier is reported only once
sa1100fb.c:421: for each function it appears in.)
sa1100fb.c:423: `MAX_SCREEN_SIZE_V' undeclared (first use in this function)
sa1100fb.c: In function `sa1100fb_get_fix':
sa1100fb.c:609: warning: assignment makes integer from pointer without a cast
sa1100fb.c: In function `sa1100fb_init_fbinfo':
sa1100fb.c:645: `MAX_SCREEN_SIZE_H' undeclared (first use in this function)
sa1100fb.c:646: `MAX_SCREEN_SIZE_V' undeclared (first use in this function)
sa1100fb.c:651: `MAX_BITS_PER_PIXEL' undeclared (first use in this function)
sa1100fb.c:717: warning: `required_pages' might be used uninitialized in this function
sa1100fb.c: In function `sa1100fb_activate_var':
sa1100fb.c:798: warning: unused variable `pcd'
sa1100fb.c: In function `sa1100fb_init':
sa1100fb.c:1094: `MAX_SCREEN_SIZE_H' undeclared (first use in this function)
sa1100fb.c:1094: `MAX_SCREEN_SIZE_V' undeclared (first use in this function)
sa1100fb.c:1094: `MAX_BITS_PER_PIXEL' undeclared (first use in this function)
make[3]: *** [sa1100fb.o] Error 1
make[3]: Leaving directory `/home/kckwu/build/linux/drivers/video'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/home/kckwu/build/linux/drivers/video'
make[1]: *** [_subdir_video] Error 2
make[1]: Leaving directory `/home/kckwu/build/linux/drivers'
make: *** [_dir_drivers] Error 2

-----------------------------------------------
Ken Wu (Electrical/Biomedical Eng. UNSW Sydney)
E-Mail: [email-masked]
	[email-masked]
Homepage: www.progsoc.uts.edu.au/~kckwu
Mobile: 0410 668 349
ICQ number: 1074203
-----------------------------------------------

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]